---
id: v2024-account
title: Account
pagination_label: Account
sidebar_label: Account
sidebar_class_name: powershellsdk
keywords: ['powershell', 'PowerShell', 'sdk', 'Account', 'V2024Account'] 
slug: /tools/sdk/powershell/v2024/models/account
tags: ['SDK', 'Software Development Kit', 'Account', 'V2024Account']
---


# Account

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **String** | System-generated unique ID of the Object | [optional] [readonly] 
**Name** | **String** | Name of the Object | [required]
**Created** | **System.DateTime** | Creation date of the Object | [optional] [readonly] 
**Modified** | **System.DateTime** | Last modification date of the Object | [optional] [readonly] 
**SourceId** | **String** | The unique ID of the source this account belongs to | [required]
**SourceName** | **String** | The display name of the source this account belongs to | [required]
**IdentityId** | **String** | The unique ID of the identity this account is correlated to | [optional] 
**CloudLifecycleState** | **String** | The lifecycle state of the identity this account is correlated to | [optional] 
**IdentityState** | **String** | The identity state of the identity this account is correlated to | [optional] 
**ConnectionType** | **String** | The connection type of the source this account is from | [optional] 
**IsMachine** | **Boolean** | Indicates if the account is of machine type | [optional] [default to $false]
**Recommendation** | [**AccountAllOfRecommendation**](account-all-of-recommendation) |  | [optional] 
**Attributes** | [**map[string]AnyType**]https://learn.microsoft.com/en-us/powershell/scripting/lang-spec/chapter-04?view=powershell-7.4 | The account attributes that are aggregated | [required]
**Authoritative** | **Boolean** | Indicates if this account is from an authoritative source | [required]
**Description** | **String** | A description of the account | [optional] 
**Disabled** | **Boolean** | Indicates if the account is currently disabled | [required]
**Locked** | **Boolean** | Indicates if the account is currently locked | [required]
**NativeIdentity** | **String** | The unique ID of the account generated by the source system | [required]
**SystemAccount** | **Boolean** | If true, this is a user account within IdentityNow.  If false, this is an account from a source system. | [required]
**Uncorrelated** | **Boolean** | Indicates if this account is not correlated to an identity | [required]
**Uuid** | **String** | The unique ID of the account as determined by the account schema | [optional] 
**ManuallyCorrelated** | **Boolean** | Indicates if the account has been manually correlated to an identity | [required]
**HasEntitlements** | **Boolean** | Indicates if the account has entitlements | [required]
**Identity** | [**AccountAllOfIdentity**](account-all-of-identity) |  | [optional] 
**SourceOwner** | [**AccountAllOfSourceOwner**](account-all-of-source-owner) |  | [optional] 
**Features** | **String** | A string list containing the owning source's features | [optional] 
**Origin** |  **Enum** [  "AGGREGATED",    "PROVISIONED" ] | The origin of the account either aggregated or provisioned | [optional] 
**OwnerIdentity** | [**AccountAllOfOwnerIdentity**](account-all-of-owner-identity) |  | [optional] 

## Examples

- Prepare the resource
```powershell
$Account = Initialize-V2024Account  -Id id12345 `
 -Name aName `
 -Created 2015-05-28T14:07:17Z `
 -Modified 2015-05-28T14:07:17Z `
 -SourceId 2c9180835d2e5168015d32f890ca1581 `
 -SourceName Employees `
 -IdentityId 2c9180835d2e5168015d32f890ca1581 `
 -CloudLifecycleState active `
 -IdentityState ACTIVE `
 -ConnectionType direct `
 -IsMachine true `
 -Recommendation null `
 -Attributes {firstName=SailPoint, lastName=Support, displayName=SailPoint Support} `
 -Authoritative false `
 -Description null `
 -Disabled false `
 -Locked false `
 -NativeIdentity 552775 `
 -SystemAccount false `
 -Uncorrelated false `
 -Uuid {b0dce506-d6d4-44d2-8a32-d9a5b21fb175} `
 -ManuallyCorrelated false `
 -HasEntitlements true `
 -Identity null `
 -SourceOwner null `
 -Features ENABLE `
 -Origin AGGREGATED `
 -OwnerIdentity null
```

- Convert the resource to JSON
```powershell
$Account | ConvertTo-JSON
```


[[Back to top]](#) 

